Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Repository\FieldTypeService Class Reference

An implementation of this class provides access to FieldTypes. More...

Inheritance diagram for eZ\Publish\Core\Repository\FieldTypeService:

## Public Member Functions
| __construct (Helper\FieldTypeRegistry $fieldTypeRegistry)
| Setups service with reference to repository object that created it & corresponding handler. More...
| getFieldTypes ()
| Returns a list of all field types. More...
| getFieldType ($identifier)
| Returns the FieldType registered with the given identifier. More...
| hasFieldType ($identifier)
| Returns if there is a FieldType registered under $identifier. More...

## Protected Attributes
| $fieldTypeRegistry
| $fieldTypes = []

## Detailed Description

An implementation of this class provides access to FieldTypes.

See also
  eZ\Publish\API\Repository\FieldType

Definition at line 17 of file Core/Repository/FieldTypeService.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\Repository\FieldTypeService::__construct | ( | Helper\FieldTypeRegistry | $fieldTypeRegistry | ) |

Setups service with reference to repository object that created it & corresponding handler.

Parameters

  Helper\FieldTypeRegistry | $fieldTypeRegistry | Registry for SPI FieldTypes

Definition at line 34 of file Core/Repository/FieldTypeService.php.

References eZ\Publish\Core\Repository\FieldTypeService\$fieldTypeRegistry.

## Member Function Documentation

## ◆ getFieldType()

eZ\Publish\Core\Repository\FieldTypeService::getFieldType | ( |  | $identifier | ) |

Returns the FieldType registered with the given identifier.

Parameters

  string | $identifier |

Returns
  \eZ\Publish\API\Repository\FieldType

Exceptions

Implements eZ\Publish\API\Repository\FieldTypeService.

Definition at line 67 of file Core/Repository/FieldTypeService.php.

## ◆ getFieldTypes()

eZ\Publish\Core\Repository\FieldTypeService::getFieldTypes | ( |  | ) |

Returns a list of all field types.

Returns
  \eZ\Publish\API\Repository\FieldType[]

Implements eZ\Publish\API\Repository\FieldTypeService.

Definition at line 44 of file Core/Repository/FieldTypeService.php.

References eZ\Publish\Core\Repository\FieldTypeService\$fieldTypes.

## ◆ hasFieldType()

eZ\Publish\Core\Repository\FieldTypeService::hasFieldType | ( |  | $identifier | ) |

Returns if there is a FieldType registered under $identifier.

Parameters

  string | $identifier |

Returns
  bool

Implements eZ\Publish\API\Repository\FieldTypeService.

Definition at line 83 of file Core/Repository/FieldTypeService.php.

## Member Data Documentation

## ◆ $fieldTypeRegistry

eZ\Publish\Core\Repository\FieldTypeService::$fieldTypeRegistry
| protected

Definition at line 20 of file Core/Repository/FieldTypeService.php.

Referenced by eZ\Publish\Core\Repository\FieldTypeService\__construct().

## ◆ $fieldTypes

eZ\Publish\Core\Repository\FieldTypeService::$fieldTypes = []
| protected

Definition at line 27 of file Core/Repository/FieldTypeService.php.

Referenced by eZ\Publish\Core\Repository\FieldTypeService\getFieldTypes().

The documentation for this class was generated from the following file:

- Core/Repository/FieldTypeService.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.